EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_GetCategories',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'LogMessages_Categories',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the distinct category names in the log messages table.'
GO

IF OBJECT_ID('[LogMessages_GetCategories]') IS NOT NULL DROP PROCEDURE [LogMessages_GetCategories]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_GetCategories]
AS
BEGIN

    SET NOCOUNT ON

	SELECT *
	  FROM [LogMessages_Categories]

END
GO

GRANT EXECUTE ON [LogMessages_GetCategories] TO [ProGetUser_Role]