--AH:ScriptId=b2a8a862-e877-4e36-b41d-1cc092291663;2849
CREATE TABLE [BowerPackages]
(
	[Feed_Id] INT NOT NULL,
	[Package_Name] NVARCHAR(200) NOT NULL,
	[Repository_Url] VARCHAR(500) NOT NULL,
	[Hit_Count] INT NOT NULL,

	CONSTRAINT [PK__BowerPackages]
		PRIMARY KEY ([Feed_Id], [Package_Name]),

	CONSTRAINT [FK__BowerPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),

	CONSTRAINT [CK__BowerPackages__Package_Name]
		CHECK (LTRIM(RTRIM([Package_Name])) <> ''),

	CONSTRAINT [CK__BowerPackages__Repository_Url]
		CHECK (LTRIM(RTRIM([Repository_Url])) <> ''),

	CONSTRAINT [CK__BowerPackages__Request_Count]
		CHECK ([Hit_Count] >= 0)
)